package dev.micle.totemofreviving.event.common;

import dev.micle.totemofreviving.TotemOfReviving;
import dev.micle.totemofreviving.setup.ModItems;
import net.minecraft.network.chat.Component;
import net.minecraft.world.item.ItemStack;
import net.minecraftforge.event.CreativeModeTabEvent;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.fml.common.Mod;

@Mod.EventBusSubscriber(modid = TotemOfReviving.MOD_ID)
public class OnCreativeModeTabRegisterEventHandler {
    @SubscribeEvent
    public static void creativeModeTabRegisterEvent(CreativeModeTabEvent.Register event) {
        System.out.println("HERE!");
        TotemOfReviving.CREATIVE_TAB = event.registerCreativeModeTab(
                TotemOfReviving.createResourceLocation("creative_mode_tab_main"), builder -> builder
                        .icon(() -> new ItemStack(ModItems.STRAW_TOTEM.get()))
                        .title(Component.translatable(String.format("tabs.%s.main_tab", TotemOfReviving.MOD_ID)))
                        .displayItems((featureFlags, output) -> {
                            output.accept(ModItems.STRAW_TOTEM.get());
                            output.accept(ModItems.IRON_TOTEM.get());
                            output.accept(ModItems.DIAMOND_TOTEM.get());
                            output.accept(ModItems.NETHERITE_TOTEM.get());

                            output.accept(ModItems.STRAW_CHARGE.get());
                            output.accept(ModItems.IRON_CHARGE.get());
                            output.accept(ModItems.DIAMOND_CHARGE.get());
                            output.accept(ModItems.NETHERITE_CHARGE.get());
                        })
        );
    }
}
