package dev.micle.totemofreviving.item.charge;

import dev.micle.totemofreviving.setup.Config;
import net.minecraft.ChatFormatting;
import net.minecraft.network.chat.Component;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.level.Level;
import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.api.distmarker.OnlyIn;

import javax.annotation.Nullable;
import javax.annotation.ParametersAreNonnullByDefault;
import java.util.List;

public class ChargeItem extends Item {
	public ChargeItem() {
		this(Rarity.COMMON);
	}
	
	public ChargeItem(Rarity rarity) {
		super(new Properties().stacksTo(64).rarity(rarity));
	}
	
	@Override
	@OnlyIn(Dist.CLIENT)
	@ParametersAreNonnullByDefault
	public void appendHoverText(ItemStack stack, @Nullable Level world, List<Component> tooltip, TooltipFlag tooltipFlag) {
		tooltip.add(Component.literal(ChatFormatting.WHITE + "Used for charging its corresponding totem."));
		super.appendHoverText(stack, world, tooltip, tooltipFlag);
	}
}
